<div class="module flat" *ngIf="!loading">

    <header class="module-header">
        <h2>Notificaciones</h2>
    </header>

    <app-tabs 
    #requestsTabs 
    [tabs]="tabs" (onselect)="clearAlerts($event)">

        <ng-container *ngIf="requestsTabs.active === 0">

            <div class="empty" *ngIf="!frequests.length">
                <i class="las la-times-circle"></i>
                No tienes nuevas solicitudes de amistad
            </div>

            <ul class="request-list" *ngIf="frequests.length">
                <ng-container *ngFor="let req of frequests">
                    <li *ngIf="!req.hide">
                        <div class="user">
                            <a [routerLink]="'/u/'+req.username">
                                <img [src]="req.avatar" [alt]="req.username">
                                <span>
                                    <b>{{req.username}}</b>
                                    <span *ngIf="!req.seen" class="dot" app-blinking-dot></span>
                                    <br>
                                    <span class="date">{{req.createdAt | date: 'dd/MM/yyyy'}}</span> 
                                </span>
                            </a>
                        </div>
                        <div class="actions">
                            <button [class.loading]="req.loading" class="primary small" (click)="acceptFriendship(req)">Aceptar</button>
                            <button [class.loading]="req.loading" class="secondary small" (click)="deleteFriendship(req)">Rechazar</button>
                        </div>
                    </li>
                </ng-container>
            </ul>

        </ng-container>

        <ng-container *ngIf="requestsTabs.active === 1">
            <div class="empty" *ngIf="!rrequests.length">
                <i class="las la-times-circle"></i>
                No tienes nuevas solicitudes de participación
            </div>

            <ul class="request-list" *ngIf="rrequests.length">
                <ng-container *ngFor="let req of rrequests">
                    <li *ngIf="!req.hide">

                        <div class="reply">
                            <a class="reply-thread" [routerLink]="'/t/'+req.threadId">{{req.title}}</a>
                            <span *ngIf="!req.seen" class="dot" app-blinking-dot></span>
                            <br>
                            <a class="reply-user" [routerLink]="'/u/'+req.replyAuthor">
                                <img [src]="req.avatar" [alt]="req.replyAuthor">
                                {{req.replyAuthor}} <span class="date">{{req.createdAt | date: 'dd/MM/yyyy'}}</span>
                            </a>
                        </div>
                        <div class="actions">
                            <button [class.loading]="req.loading" class="reverse primary small" (click)="ver(req)">Leer</button>
                            <button [class.loading]="req.loading" class="primary small" (click)="approveReply(req)">Aprobar</button>
                            <button [class.loading]="req.loading" class="secondary small" (click)="rejectReply(req)">Rechazar</button>
                        </div>
                    </li>
                </ng-container>
            </ul>
        </ng-container>

    </app-tabs>

</div>

<app-loader *ngIf="loading"></app-loader>

<app-modal
#replyModal
title="Solicitud de Participación"
[subtitle]="currentReply?.title"
[large]="true"
[no-footer]="true"
[scroller]="true">

    <div class="reply modal-preview">
        <div class="body" [innerHTML]="currentReply?.body"></div>

        <hr>

        <a class="reply-user" [routerLink]="'/u/'+currentReply?.replyAuthor">
            <img [src]="currentReply?.avatar" [alt]="currentReply?.replyAuthor">
            {{currentReply?.replyAuthor}} <span class="date">{{currentReply?.createdAt | date: 'dd/MM/yyyy'}}</span>
        </a>
    </div>

</app-modal>